OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP
GeomToStep

# GeomToStep_MakePolyline Class Reference

This class implements the mapping between an Array1 of points
from gp and a Polyline from StepGeom.
.

`#include <GeomToStep_MakePolyline.hxx>`

Inheritance diagram for GeomToStep_MakePolyline:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | GeomToStep_MakePolyline (const TColgp_Array1OfPnt &P)
Standard_EXPORT | GeomToStep_MakePolyline (const TColgp_Array1OfPnt2d &P)
Standard_EXPORT const Handle_StepGeom_Polyline & | Value () const
## Private Attributes
Handle_StepGeom_Polyline | thePolyline

## Constructor & Destructor Documentation

Standard_EXPORT GeomToStep_MakePolyline::GeomToStep_MakePolyline | ( | const TColgp_Array1OfPnt & | P | ) |

Standard_EXPORT GeomToStep_MakePolyline::GeomToStep_MakePolyline | ( | const TColgp_Array1OfPnt2d & | P | ) |

## Member Function Documentation

void GeomToStep_MakePolyline::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from GeomToStep_Root.

void* GeomToStep_MakePolyline::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from GeomToStep_Root.

void* GeomToStep_MakePolyline::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from GeomToStep_Root.

Standard_EXPORT const Handle_StepGeom_Polyline& GeomToStep_MakePolyline::Value | ( |  | ) | const

## Field Documentation

Handle_StepGeom_Polyline GeomToStep_MakePolyline::thePolyline`[private]`

The documentation for this class was generated from the following file:

- GeomToStep_MakePolyline.hxx